Subject: Re: EGIT compare editor

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 14 Oct 2008 08:05:01 -0700

Chris Dumoulin <[email-masked]> wrote:
> I seem to have successfully installed EGIT in Eclipse 3.4.1, but I can't  
> figure out how to bring up the compare editor to view diffs.
>
> I expect that after right-clicking on a changed file, I would have some  
> option under "Compare With" or "Team" that would allow me to diff the  
> current file against the HEAD or some other revision using the compare  
> editor, but I can't seem to find any way to do this. How do I bring up  
> the compare editor to view diffs?

Robin knows the Eclipse integration better than I, but we may be
missing the feature to compare the working directory revision to
the last committed revision (or the index revision).

I'm pretty sure the compare editor is available in the History view
(Team -> Show resource in History) by double clicking the file
path when a commit node is selected.  But that's obviously only
historical diffs.

-- 
Shawn.